<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="utf-8">
	<title><?php if ( function_exists('is_tag') && is_tag() ) {
			single_tag_title( __('Tag Archive for &quot;' , 'ar') ); echo '&quot; - ';
		} elseif (is_archive()) {
			wp_title(''); _e(' Archive: ' , 'ar');
		} elseif (is_search()) {
			_e('Search for &quot;', 'ar');
			echo esc_html($s) . '&quot; - ';
		} elseif (!(is_404()) && (is_single()) || (is_page())) {
			wp_title(''); echo ' - ';
		} elseif (is_404()) {
			_e('Not found - ', 'ar');
		}
		
		if (is_home()) {
			bloginfo('name'); echo ' - '; bloginfo('description');
		} else {
			bloginfo('name');
		}
		
		if ($paged > 1) {
			_e(' - page ', 'ar');
			echo $paged;
		}
	?></title>
	<!--[if IE]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen">
	<link rel="Shortcut Icon" type="image/x-icon" href="<?php bloginfo('template_url') ?>/i/favicon.ico">
	<?php wp_head(); ?>
</head>

<body>
<div id="container">
	<header class="header">
		<hgroup>
			<h1><a href="<?php echo home_url(); ?>" title="<?php _e('Home', 'ar')?>"><?php bloginfo('name'); ?></a></h1>
			<h2><?php bloginfo('description'); ?></h2>
			<ul class="main">
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(1) ) : else : endif; ?>
			</ul>
			<?php get_search_form(); ?>
		</hgroup>
	</header>

	<div id="content">
		<h3 id="e404"><?php _e('Error','ar'); ?> <span><?php _e('Page not found','ar'); ?></span></h3>
		<p class="warning"><?php _e('Content not found in our archives,please do a manual search from the following list:','ar'); ?></p>
		<ul class="sitemap">
			<?php wp_list_pages('sort_column=menu_order&title_li='); ?>
		</ul>
		<p><?php _e('Thank you.','ar'); ?></p>
		<address><?php bloginfo('name'); ?></address>
		<p class="top"><a href="#content" title="<?php _e('Top of page','ar'); ?>"><?php _e('Top of page','ar'); ?></a></p>
	</div>
<footer id="footer">
		<p class="copy"><?php _e('Copyright (C)' , 'ar'); echo date('Y'); ?> - <a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a> - <?php _e('is proudly powered by <a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform">WordPress</a>' , 'ar'); ?>.</p>
		<p><em><?php _e('AR Theme</em> was developed by' , 'ar'); ?> <a href="http://obertfsp.com/" title="Portfolio Alberto Ramacciotti">AR</a>.</p>
</footer>
</div>
<?php wp_footer(); ?>
</body>
</html>