<?php 

load_theme_textdomain('ar', TEMPLATEPATH . '/langs' );

if (function_exists('register_sidebars')) register_sidebars(4);

function the_slug() {
	global $post;
	$post_data = get_post($post->ID, ARRAY_A);
	$slug = $post_data['post_name'];
	return $slug;
}

function excerpt() {
	add_post_type_support( 'page', 'excerpt' );
}
add_action('init', 'excerpt');

function excerpt_l($length) {
	return 30;
}
add_filter('excerpt_length', 'excerpt_l',999);

function excerpt_m($more) {
	return 'Continua';
}
add_filter('excerpt_more', 'excerpt_m');

if ( !isset( $content_width ) ) $content_width = 515;

if(function_exists('automatic-feed-links')) {
    add_theme_support('automatic-feed-links');
}

// threaded comments
function enable_threaded_comments(){
	if (!is_admin()) {
		if (is_singular() AND comments_open() AND (get_option('thread_comments') == 1))
			wp_enqueue_script('comment-reply');
		}
}
add_action('get_header', 'enable_threaded_comments');

remove_action('wp_head','qtrans_header');
remove_action('wp_head','wp_cycle_style');
remove_action('wp_head','wp_generator');
remove_action('wp_head','wlwmanifest_link');
remove_action('wp_head','index_rel_link');
remove_action('wp_head','rsd_link');
remove_action('wp_head','feed_links',2);
remove_action('wp_head','index_rel_link');
remove_action('wp_head','feed_links_extra',3);
remove_action('wp_head','start_post_rel_link',10,0);
remove_action('wp_head','parent_post_rel_link',10,0);
remove_action('wp_head','adjacent_posts_rel_link',10,0);
remove_action('wp_head','rel_canonical');
remove_action('wp_head','wp_shortlink_wp_head', 10,0);
remove_action('template_redirect','wp_shortlink_header',11,0);
remove_action('wp_head','start_post_rel_link',10,0 );
remove_action('wp_head','adjacent_posts_rel_link_wp_head',10,0);

function admin_favicon() {
	echo '<link rel="Shortcut Icon" type="image/x-icon" href="'.get_bloginfo('stylesheet_directory').'/i/favicon.ico">';
}
add_action('admin_head', 'admin_favicon');


if (!is_admin()) {
	function rml10n() {
		wp_deregister_script('l10n');
	}
	add_action('init', 'rml10n'); 
}

function add_menuid ($page_markup) {
	preg_match('/^<div class=\"([a-z0-9-_]+)\">/i', $page_markup, $matches);
	$divclass = $matches[1];
	$toreplace = array('<div class="'.$divclass.'">', '</div>');
	$new_markup = str_replace($toreplace, '', $page_markup);
	$new_markup = preg_replace('/^<ul>/i', '<ul>', $new_markup);
	return $new_markup;
}
add_filter('wp_page_menu', 'add_menuid');
add_filter('wp_nav_menu', 'add_menuid');

if ( function_exists('register_sidebars') ) register_sidebars(4, array('before_title'=>'','after_title'=>''));


//Comment template
function ar_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment;
?>
<article id="comment-<?php comment_ID(); ?>">
	<div class="avatar"><?php echo get_avatar( $comment, $size='48', $default='<path_to_url>' ); ?></div>
	<div class="meta">
		<p>
			<?php if ($comment->comment_author_url != "") : ?>
				<cite class="commentauthor"><a class="url" rel="external nofollow" href="<?php comment_author_url(); ?>"><?php comment_author(); ?></a></cite>
			<?php else : ?>
				<cite class="commentauthor"><?php comment_author(); ?></cite>
			<?php endif; ?>
				<span><a href="#comment-<?php comment_ID(); ?>" title="<?php _e('Permalink for this comment' , 'ar'); ?>"><time datetime="<?php comment_date('c'); ?>"><?php comment_date('F jS, Y');  _e(' at ' , 'ar'); comment_time(); ?></time></a></span>
				<span class="edit"><?php edit_comment_link(__('Edit'),'',''); ?></span>
		</p>
	</div>
	<div class="comment-entry">
		<?php if ($comment->comment_approved == '0') : ?>
			<p><?php _e('Your comment is awaiting moderation.', 'ar'); ?></p>
		<?php endif;
		comment_text(); ?>
	</div>
	<div class="reply">
		<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
	</div>
</article>
<?php }

// Pings template
function ar_pings($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment;
?>
<article id="comment-<?php comment_ID(); ?>">
		<p class="meta">
			<cite class="commentauthor"><a class="url" rel="external nofollow" href="<?php comment_author_url(); ?>"><?php comment_author(); ?></a></cite> <span><a href="#comment-<?php comment_ID(); ?>" title="<?php _e('Permalink for this comment: ' , 'ar'); ?>"><time datetime="<?php comment_date(' c '); ?>"> <?php comment_date(' F jS, Y');  _e(' at ', 'ar'); comment_time(); ?></time></a></span> <span class="edit"><?php edit_comment_link(' Edit ','',''); ?></span>
		</p>
	<div class="comment-entry">
		<?php if ($comment->comment_approved == '0') : ?>
			<p><?php _e('Your comment is awaiting moderation.', 'ar'); ?></p>
		<?php endif;
		comment_text(); ?>
	</div>
</article>
<?php } ?>
