<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="utf-8">
	<title><?php if ( function_exists('is_tag') && is_tag() ) {
			single_tag_title( __('Tag Archive for &quot;' , 'ar') ); echo '&quot; - ';
		} elseif (is_archive()) {
			wp_title(''); _e(' Archive: ' , 'ar');
		} elseif (is_search()) {
			_e('Search for &quot;', 'ar');
			echo esc_html($s) . '&quot; - ';
		} elseif (!(is_404()) && (is_single()) || (is_page())) {
			wp_title(''); echo ' - ';
		} elseif (is_404()) {
			_e('Not found - ', 'ar');
		}
		
		if (is_home()) {
			bloginfo('name'); echo ' - '; bloginfo('description');
		} else {
			bloginfo('name');
		}
		
		if ($paged > 1) {
			_e(' - page ', 'ar');
			echo $paged;
		}
	?></title>
	<!--[if IE]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen">
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
	<link rel="Shortcut Icon" type="image/x-icon" href="<?php bloginfo('template_url') ?>/i/favicon.ico">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="container">
	<header class="header">
		<hgroup>
			<h1><a href="<?php echo home_url(); ?>" tabindex="2" accesskey="1" title="<?php _e('Home', 'ar')?>"><?php bloginfo('name'); ?></a></h1>
			<h2><?php bloginfo('description'); ?></h2>
			<ul class="main">
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(1) ) : else : endif; ?>
			</ul>
			<?php get_search_form(); ?>
		</hgroup>
	</header>
